Main Page glibmm Namespaces Book

# Glib::Value< float > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< float >:

[legend]

List of all members.

## Public Types
typedef float | CppType
typedef gfloat | CType
## Public Member Functions
void | set (float data)
float | get () const
## Static Public Member Functions
static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Value< float >

## Member Typedef Documentation

typedef float Glib::Value<float>::CppType

typedef gfloat Glib::Value<float>::CType

## Member Function Documentation

static GType Glib::Value<float>::value_type | ( |  | ) | `[static]`

void Glib::Value<float>::set | ( | float | data | ) |

float Glib::Value<float>::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h